{#
/**
 * @file
 * Corporate+'s theme override for the block entity refernece field for the tabs powered custom block
 *
 * @see corporateplus_preprocess_field__paragraph__field_buyer_s_guides_tabs()
 */
#}
{% set classes = [
  'field',
  'field--name-' ~ field_name|clean_class,
  'field--type-' ~ field_type|clean_class,
  'field--label-' ~ label_display,
  'field--entity-reference-target-type-' ~ entity_reference_target_type|clean_class,
  'field--mt-tabs-block',
  'clearfix',
] %}
{% set title_classes = [
  'field__label',
  label_display == 'inline' ? 'inline',
] %}
<div{{ attributes.addClass(classes) }}>
  {% if not label_hidden %}
    <h3{{ title_attributes.addClass(title_classes) }}>{{ label }}</h3>
  {% endif %}
  <ul class="nav nav-tabs nav-justified nav-tabs--fancy">
    {% for item in items %}
      <li class="{{ loop.first ? ' active' : '' }}">
        <a href="#id-{{ item.content['#paragraph'].get('id').value }}" data-toggle="tab">
          <span class="nav-tab__title child-tab-title">
            {{ item.content['#paragraph'].get('field_mt_media_title').value }}
          </span>
          {% if item.content['#paragraph'].get('field_mt_if_image').entity.fileuri %}
            <div class="nav-tab__icon">
              <img alt="{{ item.content['#paragraph'].get('field_mt_if_image').alt }}" src="{{ file_url(item.content['#paragraph'].get('field_mt_if_image').entity.fileuri) }}">
            </div>
          {% endif %}
          {% if item.content['#paragraph'].get('field_mt_if_title').value %}
            <span class="nav-tab__subtitle">
              {{ item.content['#paragraph'].get('field_mt_if_title').value }}
            </span>
          {% endif %}
        </a>
      </li>
    {% endfor %}
  </ul>
  <div class="tab-content">
    {% for item in items %}
      <div class="tab-pane fade {{ loop.first ? ' active in' : '' }}"
           id="id-{{ item.content['#paragraph'].get('id').value }}">
        {{ item.content }}
      </div>
    {% endfor %}
  </div>
</div>

